Subject: Re: bug#23274: Misleading error message when running guix-daemon as unprivileged user

From: Martin Castillo <[email-masked]>
Date: Mon, 11 Dec 2017 14:25:00 +0100

Hi,

I could have expressed myself  more clearly.

> “Address already in use” makes me directly think that there is already
>another daemon running.

This was in response to OP, saying that I don't think that needs to be changed.

The rest was about testing it with root and I (half) expected an error message that explicitly says, that another daemon is already running. If this was right, op would be right. But this is not the case and it seems like it is wanted the way it is.

So yes, there is no problem in my eyes, too. This can be closed.

Martin